Create Type
curl --request POST \
--url https://api.swoogo.com/api/v1/reg-types/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data capacity=20 \
--data event_id=1 \
--data 'name=Sample Reg Type'import requests
url = "https://api.swoogo.com/api/v1/reg-types/create"
payload = {
"capacity": "20",
"event_id": "1",
"name": "Sample Reg Type"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({capacity: '20', event_id: '1', name: 'Sample Reg Type'})
};
fetch('https://api.swoogo.com/api/v1/reg-types/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"admin_short_name": null,
"capacity": "20",
"created_at": "2023-05-17 10:15:53",
"description": null,
"id": 59,
"max_group_size": null,
"min_group_size": null,
"name": "Sample Reg Type",
"public_short_name": null,
"sold_out_message": null,
"updated_at": "2023-05-17 10:15:53"
}Registrant Types
Create Type
Creates a new registration type for an event. Requires event_id and name in the request body. Optionally set capacity to limit how many registrants can select this type.
POST
/
reg-types
/
create
Create Type
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Body
application/x-www-form-urlencoded
Response
201 - application/json
Create A Registrant Type
Example:
"20"
Example:
"2023-05-17 10:15:53"
Example:
59
Example:
"Sample Reg Type"
Example:
"2023-05-17 10:15:53"
⌘I